# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.conf import settings
from django.conf.urls import patterns, include, url
from django.conf.urls.static import static
from django.contrib.staticfiles.urls import staticfiles_urlpatterns

from coin import views


import autocomplete_light
autocomplete_light.autodiscover()

from django.contrib import admin
admin.autodiscover()

from coin.isp_database.views import isp_json

urlpatterns = patterns(
    '',
    url(r'^$', 'coin.members.views.index', name='home'),

    url(r'^isp.json$', isp_json),
    url(r'^members/', include('coin.members.urls', namespace='members')),
    url(r'^billing/', include('coin.billing.urls', namespace='billing')),
    url(r'^subscription/', include('coin.offers.urls', namespace='subscription')),
    url(r'^vpn/', include('coin.vpn.urls', namespace='vpn')),

    url(r'^admin/', include(admin.site.urls)),

    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),
    
    url(r'^feed_provider/', views.feed_provider, name='feed_provider'),
    url(r'^feed_ffdn/', views.feed_ffdn, name='feed_ffdn'),

    url(r'^autocomplete/', include('autocomplete_light.urls')),

)

urlpatterns += staticfiles_urlpatterns()
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

